#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x98,0x7C,0xB7,0x59,0xA2,0x58,0xDC,0xE1,0xE5,0x4E,0x20,0x4E,
		0x1A,0x3A,0x0C,0xF4,0xE8,0x5C,0x4C,0xB3,0x11,0x76,0x62,0x6C,
		0xA8,0xDF,0x79,0x06,0xEE,0xB6,0x17,0xFF,0x55,0xEA,0x8F,0x16,
		0x19,0x37,0x0B,0xAD,0x67,0x6F,0xE2,0x88,0xF1,0x20,0xF3,0xF2,
		0xA9,0xAF,0x43,0xBB,0x1E,0x06,0xA3,0x3A,0x3A,0x33,0xAE,0x79,
		0x0F,0x56,0x46,0xEB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
